<template>
    <div class="TextInput">
        <label v-if="!!label" class="block mb-2 text-sm font-medium text-gray-900 " :for="name">{{ label }}</label>
        <el-radio-group v-model="value" v-bind="$attrs" :validate-event="false" style="width: 100%" size="large">
            <el-radio-button v-for="(item, i) in items" :key="i" :label="item.value">{{ item?.name }}</el-radio-button>
        </el-radio-group>
        <p class="text-danger text-[13px] first-letter:uppercase" v-show="errorMessage">
            {{ errorMessage }}
        </p>
    </div>
</template>

<script>
import { useField } from "vee-validate";

export default {
    name: "VRadio",
    props: {
        name: {
            type: String,
            required: true,
        },
        label: {
            type: String,
            default: "",
        },
        items: {
            type: Array,
            default: () => []
        }
    },
    setup(props) {
        const { value, errorMessage } = useField(props.name);

        return {
            value,
            errorMessage,
        };
    },
};
</script>